Index: trunk/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComSlice.cpp	(revision 625)
+++ trunk/source/Lib/TLibCommon/TComSlice.cpp	(revision 655)
@@ -3068,14 +2729,7 @@
           if ( vps->nuhLayerIdIncluded( targetDecLayerIdSet[ j ] ) )
           {
-#if H_MV5
             for( Int k = 0; k < vpsSlice->getNumDirectRefLayers( targetDecLayerIdSet[ j ] ); k++ )
             {
               if ( targetDecLayerIdSet[ i ] == vpsSlice->getRefLayerId( targetDecLayerIdSet[ j ],  k  ) )
-#else
-            Int targetDecLayerIdinVPS = vpsSlice->getLayerIdInVps( targetDecLayerIdSet[ j ] ); 
-            for( Int k = 0; k < vpsSlice->getNumDirectRefLayers( targetDecLayerIdinVPS ); k++ )
-            {
-              if ( targetDecLayerIdSet[ i ] == vpsSlice->getRefLayerId( targetDecLayerIdinVPS,  k  ) )
-#endif
               {
                 remainingInterLayerReferencesFlag = true;
@@ -3093,9 +2747,5 @@
 }
 
-#if H_MV5
 Void TComSlice::printRefPicList()
-#else
-Void TComSlice::xPrintRefPicList()
-#endif
 {  
   for ( Int li = 0; li < 2; li++)
@@ -3110,13 +2760,4 @@
   }
 }
-#if !H_MV5
-Int TComSlice::xCeilLog2( Int val )
-{
-  assert( val > 0 ); 
-  Int ceilLog2 = 0;
-  while( val > ( 1 << ceilLog2 ) ) ceilLog2++;
-  return ceilLog2;
-}
-#endif
 
 Void TComSlice::markCurrPic( TComPic* currPic )
@@ -3133,5 +2774,4 @@
 }
 
-#if H_MV5
 Void TComSlice::setRefPicSetInterLayer( std::vector<TComPic*>* refPicSetInterLayer0, std::vector<TComPic*>* refPicSetInterLayer1 )
 {
@@ -3158,31 +2798,8 @@
   return pcPic;
 }
-#else
-Void TComSlice::setRefPicSetInterLayer( std::vector<TComPic*>* refPicSetInterLayer )
-{
-  m_refPicSetInterLayer = refPicSetInterLayer; 
-}
-
-TComPic* TComSlice::getPicFromRefPicSetInterLayer( Int layerId )
-{
-  assert( m_refPicSetInterLayer != 0 ); 
-  assert( (*m_refPicSetInterLayer).size() == getNumActiveRefLayerPics() ); 
-  TComPic* pcPic = NULL; 
-  for ( Int i = 0; i < getNumActiveRefLayerPics(); i++ )
-  {
-    if ((*m_refPicSetInterLayer)[ i ]->getLayerId() == layerId)
-    {
-      pcPic = (*m_refPicSetInterLayer)[ i ]; 
-    }
-  }
-  assert(pcPic != NULL); 
-  return pcPic;
-}
-#endif
 Int TComSlice::getNumActiveRefLayerPics()
 {
   Int numActiveRefLayerPics; 
 
-#if H_MV5
   if( getLayerId() == 0 || getVPS()->getNumDirectRefLayers( getLayerId() ) ==  0 )
   {
@@ -3198,11 +2815,4 @@
   }
   else if( getVPS()->getMaxOneActiveRefLayerFlag() || getVPS()->getNumDirectRefLayers( getLayerId() ) == 1 )
-#else
-  if( getLayerId() == 0 || getVPS()->getNumDirectRefLayers( getLayerIdInVps() ) ==  0 || !getInterLayerPredEnabledFlag() )
-  {
-    numActiveRefLayerPics = 0; 
-  }
-  else if( getVPS()->getMaxOneActiveRefLayerFlag() || getVPS()->getNumDirectRefLayers( getLayerIdInVps() ) == 1 )
-#endif
   {
     numActiveRefLayerPics = 1; 
@@ -3217,41 +2827,7 @@
 Int TComSlice::getRefPicLayerId( Int i )
 {
-#if H_MV5
   return getVPS()->getRefLayerId( getLayerId(), getInterLayerPredLayerIdc( i ) );
-#else
-  return getVPS()->getRefLayerId( getLayerIdInVps(), getInterLayerPredLayerIdc( i ) );
-#endif
-}
-
-#if !H_MV5
-Void TComSlice::setActiveMotionPredRefLayers()
-{
-  Int j = 0; 
-  for( Int i = 0; i < getNumActiveRefLayerPics(); i++)
-  {
-    if( getVPS()->getMotionPredEnabledFlag( getLayerIdInVps(), getInterLayerPredLayerIdc( i ))  )
-    {
-      m_activeMotionPredRefLayerId[ j++ ] = getVPS()->getRefLayerId( getLayerIdInVps(), i ); 
-    }
-  }
-  m_numActiveMotionPredRefLayers = j;
-
-  // Consider incorporating bitstream conformance tests on derived variables here.
-}
-
-Bool TComSlice::getInterRefEnabledInRPLFlag()
-{
-  Bool interRefEnabledInRPLFlag; 
-  if ( getVPS()->getNumSamplePredRefLayers( getLayerIdInVps() ) > 0 && getNumActiveRefLayerPics() > 0 )
-  {
-    interRefEnabledInRPLFlag = !getInterLayerSamplePredOnlyFlag(); 
-  }
-  else
-  {
-    interRefEnabledInRPLFlag = 1; 
-  }
-  return interRefEnabledInRPLFlag;
-}
-#endif
+}
+
 #if H_3D_ARP
 Void TComSlice::setARPStepNum()                                  
@@ -3531,5 +3107,4 @@
 }
 
-#if H_MV5
 #if H_MV
 Void TComScalingList::inferFrom( TComScalingList* srcScLi )
@@ -3545,5 +3120,4 @@
   }
 }
-#endif
 #endif
 /** initialization process of quantization matrix array
@@ -3636,5 +3210,4 @@
 , m_ppsMap(MAX_NUM_PPS)
 , m_activeVPSId(-1)
-#if H_MV5
 #if !H_MV
 , m_activeSPSId(-1)
@@ -3649,9 +3222,4 @@
   }
 #endif
-#else
-, m_activeSPSId(-1)
-, m_activePPSId(-1)
-{
-#endif
 }
 
@@ -3663,5 +3231,4 @@
 //! activate a SPS from a active parameter sets SEI message
 //! \returns true, if activation is successful
-#if H_MV5
 #if H_MV
 Bool ParameterSetManager::activateSPSWithSEI(Int spsId, Int layerId )
@@ -3669,7 +3236,4 @@
 Bool ParameterSetManager::activateSPSWithSEI(Int spsId)
 #endif
-#else
-Bool ParameterSetManager::activateSPSWithSEI(Int spsId)
-#endif
 {
   TComSPS *sps = m_spsMap.getPS(spsId);
@@ -3680,7 +3244,4 @@
     {
       m_activeVPSId = vpsId;
-#if !H_MV5
-      m_activeSPSId = spsId;
-#else
 #if H_MV
       m_activeSPSId[ layerId ] = spsId;
@@ -3688,5 +3249,4 @@
       m_activeSPSId = spsId;
 #endif
-#endif
       return true;
     }
@@ -3705,5 +3265,4 @@
 //! activate a PPS and depending on isIDR parameter also SPS and VPS
 //! \returns true, if activation is successful
-#if H_MV5
 #if H_MV
 Bool ParameterSetManager::activatePPS(Int ppsId, Bool isIRAP, Int layerId )
@@ -3742,35 +3301,4 @@
         m_activeSPSId[ layerId ] = spsId;
 #else
-        m_activePPSId = ppsId;
-        m_activeVPSId = vpsId;
-        m_activeSPSId = spsId;
-#endif
-#else
-Bool ParameterSetManager::activatePPS(Int ppsId, Bool isIRAP)
-{
-  TComPPS *pps = m_ppsMap.getPS(ppsId);
-  if (pps)
-  {
-    Int spsId = pps->getSPSId();
-#if H_MV
-    // active parameter sets per layer should be used here
-#else
-    if (!isIRAP && (spsId != m_activeSPSId))
-    {
-      printf("Warning: tried to activate PPS referring to a inactive SPS at non-IRAP.");
-      return false;
-    }
-#endif
-    TComSPS *sps = m_spsMap.getPS(spsId);
-    if (sps)
-    {
-      Int vpsId = sps->getVPSId();
-      if (!isIRAP && (vpsId != m_activeVPSId))
-      {
-        printf("Warning: tried to activate PPS referring to a inactive VPS at non-IRAP.");
-        return false;
-      }
-      if (m_vpsMap.getPS(vpsId))
-      {
         m_activePPSId = ppsId;
         m_activeVPSId = vpsId;
@@ -3828,5 +3356,4 @@
 //! \}
 
-#if H_MV5
 #if H_MV
 TComVPSVUI::TComVPSVUI()
@@ -3861,3 +3388,2 @@
 }
 #endif
-#endif
